select
    an.numero as numero,
    an.nome as nome,
    avom.numero as av,
    avom.regassocraca as registro_av,
    avof.numero as avo,
    avof.regassocraca as registro_avo,
    se.nome as setor
from
    animal an
    left join animal mae on mae.cdanimal = an.cdmae
    left join animal avom on avom.cdanimal = mae.cdpai
    left join animal avof on avof.cdanimal = mae.cdmae
    left join setor se on se.cdsetor = an.cdsetor	
where
    an.dtbaixa is null and
    an.tipoanimal = 'A' and
    an.animalrebanho = '1'